## ros-kinetic-cob-tricycle-controller 0.7.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_tricycle_controller)

find_package(catkin REQUIRED COMPONENTS 
  angles
  cob_base_controller_utils
  controller_interface
  geometry_msgs
  hardware_interface
  nav_msgs
  pluginlib
  realtime_tools
  roscpp
  std_srvs
  tf
)

find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  CATKIN_DEPENDS
    angles
    cob_base_controller_utils
    controller_interface
    geometry_msgs
    hardware_interface
    nav_msgs
    pluginlib
    realtime_tools
    roscpp
    std_srvs
    tf
  DEPENDS Boost
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

### BUILD ###
include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/control_plugin.cpp src/odom_plugin.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

### INSTALL ###
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES controller_plugins.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
 DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-tricycle-controller (0.7.13-2xenial) xenial; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Mon, 05 Apr 2021 22:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.12-2xenial) xenial; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 20 Oct 2020 22:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.11-2xenial) xenial; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Fri, 20 Mar 2020 23:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.10-2xenial) xenial; urgency=high

  * Merge pull request #225 <https://github.com/ipa320/cob_control/issues/225> from fmessmer/ci_updates_kinetic
    [travis] ci updates - kinetic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.9-2xenial) xenial; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.8-2xenial) xenial; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 08 Aug 2019 22:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.7-2xenial) xenial; urgency=high

  * Merge pull request #208 <https://github.com/ipa320/cob_control/issues/208> from ipa-jba/melodic_dev
    [Melodic] melodify
  * use urdf::JointConstSharedPtr instead of boost...
  * Contributors: Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.6-2xenial) xenial; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 06 Jun 2019 22:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.5-2xenial) xenial; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.4-2xenial) xenial; urgency=high



 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-tricycle-controller (0.7.3-2xenial) xenial; urgency=high

  * Merge pull request #196 <https://github.com/ipa320/cob_control/issues/196> from fmessmer/split_parseWheelTransform
    controller specific parseWheelTransform
  * split parseWheelTransform
  * Merge pull request #192 <https://github.com/ipa320/cob_control/issues/192> from fmessmer/fix/parseWheelTransform
    fix/parse wheel transform
  * fix rotatory direction with proper sign
  * fix rotatory direction
  * fix parseWheelTransform
  * debug parseWheelTransform
  * Merge pull request #191 <https://github.com/ipa320/cob_control/issues/191> from fmessmer/fix_tricycle_odometry
    fix tricycle kinematic formulae
  * keep steer pos for zero command
  * fix tricycle kinematic formulae
  * Merge pull request #190 <https://github.com/ipa320/cob_control/issues/190> from fmessmer/new_tricycle_controller_kinetic
    new tricycle controller kinetic
  * fix angular.z direction
  * implement additional config parameter
  * fix drive velocity factor
  * base radius abs value
  * fix inverse kinematics, choose solution
  * fix forward kinematics
  * implement inverse kinematics for control_plugin
  * fix forward kinematics in odom_plugin
  * use PositionJointInterface for steer_joint
  * fake twist_controller
  * introduce cob_base_controller_utils package
  * parseWheelTransform from urdf
  * add fake control_plugin
  * initial tricycle_controller, fake odom
  * Contributors: Felix Messmer, fmessmer, ipa-fxm, mailto:robot@cob4-21

 -- Felix Messmer <felix.messmer@mojin-robotics.de>  Wed, 13 Mar 2019 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-cob-tricycle-controller
Section: misc
Priority: optional
Maintainer: Felix Messmer <felix.messmer@mojin-robotics.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-cob-base-controller-utils, ros-kinetic-controller-interface, ros-kinetic-geometry-msgs, ros-kinetic-hardware-interface, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-std-srvs, ros-kinetic-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-cob-tricycle-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-kinetic-angles, ros-kinetic-cob-base-controller-utils, ros-kinetic-controller-interface, ros-kinetic-geometry-msgs, ros-kinetic-hardware-interface, ros-kinetic-nav-msgs, ros-kinetic-pluginlib, ros-kinetic-realtime-tools, ros-kinetic-roscpp, ros-kinetic-std-srvs, ros-kinetic-tf
Description: The cob_omni_drive_controller package provides a ros_controller plugin for the Care-O-bot tricycle base platform.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-tricycle-controller//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
